I upgraded my NM 3 to 3.0.3 on 4/6/2016. Users on Windows 7 and 10 were able to install the upgrade and reconnect without issue. I even confirmed the client was 3.0.3 and the connection was secure. The problem is with my MBP that is running 10.11.3. I upgraded the client as it alerted me of the availability. Upon completion of the update, I was unable to log into NM 3.0.3 and received the following alert message: "The client is unable to establish a secure connection with the specified server; a secure connection is required." I completely removed the client and the installed the a clean version of 3.0.3 but the same message appears. Any idea why the MBP is having an issue even though the Windows update worked just fine?

During the installation of the upgrade, I selected #1 to upgrade and went with the default of using port 389 (unsecured). I have even re-installed the 3.0.3 update and restarted services. No difference on the MBP.

Thanks in advance of any assistance!